AOZ Studio Beta - Bug #846

Bob command does not use the graphic cursor as it should!
10/06/2021 11:59 AM - Brian Flanagan

Status: Closed Start date: 10/06/2021
Priority: High Due date:

Assignee: David Baldwin % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B10) u16

Description

If the position isn't specified, it defaults to 0,0 instead.
Example:
Curs Off : Flash Off

Box 0,0 To 50,50
Get Bob 1,0,0 To 50,50
Cls O

Gr Locate 500,500

Bob 1,1

Locate 0,2 : Print "Press any Key"
Wait Key

Locate 0,10
Print "Bob should have displayed here:"
Bob 1,500,500,1

History

#1 - 10/06/2021 05:08 PM - David Baldwin
- Status changed from New to Resolved

- Assignee set to David Baldwin

Fixed - no provision was made for position being 'undefined’

#2 - 10/06/2021 09:51 PM - David Baldwin
- Affected version set to 1.0.0 (B9) u16

#3 - 10/06/2021 09:51 PM - David Baldwin
- Affected version changed from 1.0.0 (B9) u16 to 1.0.0 (B10) u16

#4 - 10/15/2021 11:57 AM - Brian Flanagan

- Status changed from Resolved to Closed

Verified working!
Thanks, Dave!
